import 'dart:ui';

import 'package:flutter/material.dart';
import 'package:qhdkfq_regulatory_flutter/tools/my_appbar.dart';

class MessageDetailPage extends StatefulWidget {
  const MessageDetailPage({super.key});

  @override
  _MessageDetailPageState createState() => _MessageDetailPageState();
}

class _MessageDetailPageState extends State<MessageDetailPage>
    with SingleTickerProviderStateMixin {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: MyAppbar(title: "通知详情"),
      body: Padding(
        padding: const EdgeInsets.all(16.0),
        // child: Center(
            child: NotificationDetailCard(),
        // ),
      ),
    );
  }
}

class NotificationDetailCard extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Card(
      elevation: 4,
      shape: RoundedRectangleBorder(borderRadius: BorderRadius.circular(16)),
      child: Padding(
        padding: const EdgeInsets.all(24),
        child: Column(
          mainAxisSize: MainAxisSize.min,
          crossAxisAlignment: CrossAxisAlignment.start,
          mainAxisAlignment: MainAxisAlignment.start,
          children: [

            // 通知类型
            const Text(
              '会议任务下发提醒',
              style: TextStyle(
                fontSize: 18,
                fontWeight: FontWeight.bold,
                color: Color(0xFF333333),
              ),
            ),
            const SizedBox(height: 16),

            // 提醒时间
            _buildInfoRow('提醒时间：', '2025-05-30 10:07:42'),
            const SizedBox(height: 12),

            // 提醒人
            _buildInfoRow('提醒人：', '王朋'),
            const SizedBox(height: 12),

            // // 分隔线
            // const Divider(height: 1, color: Color(0xFFEEEEEE)),
            // const SizedBox(height: 24),

            // 提醒内容
            const Text(
              '提醒内容：',
              style: TextStyle(
                fontSize: 16,
                fontWeight: FontWeight.bold,
                color: Color(0xFF333333),
              ),
            ),
            const SizedBox(height: 12),

            // 详细内容
            const Text(
              '温馨提示，任务名称为阿斯顿，行动周期2025-05-01至2025-05-31的会议任务已下发，请及时进行会议反馈。',
              style: TextStyle(
                fontSize: 16,
                height: 1.5,
                color: Color(0xFF666666),
              ),
            ),
            const SizedBox(height: 32),
          ],
        ),
      ),
    );
  }

  Widget _buildInfoRow(String label, String value) {
    return Row(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        Text(
          label,
          style: const TextStyle(fontSize: 16, color: Color(0xFF666666)),
        ),
        const SizedBox(width: 8),
        Expanded(
          child: Text(
            value,
            style: const TextStyle(
              fontSize: 16,
              fontWeight: FontWeight.bold,
              color: Color(0xFF333333),
            ),
          ),
        ),
      ],
    );
  }
}
